This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 789385 - Review Request: ambdec - an ambiosonics decoder
Review Request: ambdec - an ambiosonics decoder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Peter Lemenkov
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-02-10 11:35 EST by Brendan Jones
Modified: 2012-05-27 21:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-02-10 11:35:03 EST
ambdec is an Ambisonic decoder for first and second order. Main features:
 *  1st, 2nd and 3rd order 2-D or 3-D decoding.
 *  Up to 36 speakers (could be extended).
 *  Optional dual frequency band decoding.
 *  Optional speaker delay and gain compensation.
 *  Optional Near-Field effect compensation.
 *  Built-in test and Mute/Solo for each speaker.
 *  Unlimited number of presets.
 *  Jack client with graphical user interface.

This is another port from the CCRMA repository

rpmlint ~/rpmbuild/SRPMS/ambdec-0.5.1-2.fc16.src.rpm 
ambdec.src: W: spelling-error Summary(en_US) Ambiosonics -> Ambitions
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

SPEC: http://bsjones.fedorapeople.org/ambdec.spec
SRPM: http://bsjones.fedorapeople.org/ambdec-0.5.1-2.fc16.src.rpm
Comment 1 Brendan Jones 2012-05-16 06:14:55 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=4080920

rpmlint /home/bsjones/rpmbuild/SRPMS/ambdec-0.5.1-2.fc17.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/ambdec-0.5.1-2.fc17.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/ambdec-debuginfo-0.5.1-2.fc17.x86_64.rpm
ambdec.src: W: spelling-error Summary(en_US) Ambiosonics -> Ambitions
ambdec.x86_64: W: spelling-error Summary(en_US) Ambiosonics -> Ambitions
ambdec.x86_64: E: incorrect-fsf-address /usr/share/doc/ambdec-0.5.1/COPYING
ambdec.x86_64: W: no-manual-page-for-binary ambdec_cli
ambdec.x86_64: W: no-manual-page-for-binary ambdec
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/radbut.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/xover2.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/confwin.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/png2img.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/ambdec.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/adconf.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/filewin.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/styles.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/adconf.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/decoder.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/ambdec_cli.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/nffilt.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/confwin.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/xover2.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/nffilt.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/filewin.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/png2img.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/jclient.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/sstring.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/mainwin.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/radbut.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/sstring.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/mainwin.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/meter.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/decoder.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/jclient.cc
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/styles.h
ambdec-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/ambdec-0.5.1/source/meter.h
Comment 2 Peter Lemenkov 2012-05-16 07:36:51 EDT
I'll review it
Comment 3 Peter Lemenkov 2012-05-16 08:01:23 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is NOT silent (see above), however all his mesages may be safely ignored:

ambdec.src: W: spelling-error Summary(en_US) Ambiosonics -> Ambitions
ambdec.x86_64: W: spelling-error Summary(en_US) Ambiosonics -> Ambitions

^^^ false positives

ambdec.x86_64: W: no-manual-page-for-binary ambdec_cli
ambdec.x86_64: W: no-manual-page-for-binary ambdec

^^^ bitter truth. Hope upstream will provide some man-pages someday.

All other messages, regarding incorrect-fsf-address should NOT be fixed by us (I wouldn't touch legal stuff at all) but rather in upstream. Poke them regarding this matter during your spare time btw.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later as stated in the source files).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/Desktop: sha256sum ambdec-0.5.1.tar.bz2*
0497636ac97b4883e45348604419980f7c525e2eebede7026550cc43f85e8074  ambdec-0.5.1.tar.bz2
0497636ac97b4883e45348604419980f7c525e2eebede7026550cc43f85e8074  ambdec-0.5.1.tar.bz2.1
work ~/Desktop:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
+ The package includes a %{name}.desktop file, and this file is properly installed with desktop-file-install in the %install section.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 4 Brendan Jones 2012-05-16 08:29:23 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: ambdec
Short Description: Ambiosonics decoder
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 5 Jon Ciesla 2012-05-16 08:54:15 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-16 09:36:27 EDT
ambdec-0.5.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ambdec-0.5.1-2.fc16
Comment 7 Fedora Update System 2012-05-16 09:36:36 EDT
ambdec-0.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ambdec-0.5.1-2.fc17
Comment 8 Fedora Update System 2012-05-18 06:34:32 EDT
ambdec-0.5.1-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2012-05-27 21:21:30 EDT
ambdec-0.5.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-05-27 21:23:00 EDT
ambdec-0.5.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.